View Issue Details

IDProjectCategoryView StatusLast Update
00306832.x IDE BugsRoom EditorPublic2019-05-15 09:51
ReporterScott DunbarAssigned ToAlexander Borup 
PriorityMediumSeverityB - MajorReproducibility100%
Status ClosedResolutionSuspended 
Product Version2.2.2 
Target Version2.2.3Fixed in Version2.2.3 
Summary0030683: Room Editor: Having a very large number of instances and attempting to delete one will cause a very long delay
DescriptionIssue:
Having a very large number of instances in the room editor ( > 13000) and attempting to delete one instance will cause a very long delay
Steps To Reproduce1. Open attached project
2. Open room0
3. select any instance
4. press delete
5. observe incredibly long delay/permanent hang
TagsNo tags attached.
2.x IDE Found In2.2.2.413
2.x Runtime Found In2.2.2.326
2.x IDE Verified In9.2.1.1817
2.x Runtime Verified In9.9.1.1441

Activities

Scott Dunbar

2019-04-12 17:12

Adminstrator  

test.yyz (870,652 bytes)

Alexander Borup

2019-04-15 11:51

Developer   ~0063619

Last edited: 2019-04-15 14:42

View 2 revisions

I have applied some WD-40 to the room editor's Instance Layer Properties window. Before, it would take ~8400ms on a full rebuild and ~900ms on a pooled rebuild. Now it takes ~7800ms on a full rebuild and ~300ms on a pooled rebuild.

Unfortunately the undo system is a more complicated situation that has a vastly greater impact on the slowdown, as it will handle roughly 300 instances every 5 seconds. For 13,000 instances that's nearly 4 minutes; that's just for the "undo" state - it does it all again for the "redo" state. 8 minutes! To see this in effect, re-order the Instances Layer Properties list.

The new undo system for 2.3 will remedy this.

Alexander Borup

2019-04-15 12:09

Developer   ~0063620

Committed a small optimization to the layer contents view.

Dan

2019-05-10 09:21

Adminstrator   ~0063881

Note that a change (at least one) has been committed for 2.2.3, so this does need verifying that the room editor still works.

Have changed the resolution to better reflect a) we have made a change for this release, b) we have a new system coming which will drastically alter and improve this issue, so it's not like we're actually giving up on this one...